@import url("https://fonts.googleapis.com/css2?family=Cormorant+Infant:ital,wght@0,300;1,300&family=Katibeh&family=Tangerine:wght@700&family=Taviraj:wght@200;300&display=swap");

@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@0,400;0,700;1,400&family=PT+Serif:ital,wght@0,400;0,700;1,400&display=swap');

.madecanvas {
  font-family: "Cormorant Infant", sans-serif !important;
}

/* https://codepen.io/sosuke/pen/Pjoqqp */
:root {
  --accent: #ab7b13;
  --accentAmpersand: var(--accent);
  --accentTable: var(--accent);
  --font: #000000;
  --navbar: #de839b;
  --preLoading: #ffedf2;
  --navbarBg: #ffffff;
  --wishBg: rgba(255, 255, 255, 0.3);
  --navbarSvg: invert(85%) sepia(46%) saturate(3970%) hue-rotate(296deg) brightness(99%) contrast(75%);
  --protocolFilter: invert(0%) sepia(98%) saturate(0%) hue-rotate(8deg) brightness(101%) contrast(103%);
}

body {
  font-family: "Cormorant Infant", sans-serif !important;
  color: var(--font);
}

pre {
  font-family: "Cormorant Infant", sans-serif !important;
  margin: 0;
  font-size: 100%;
}

h1 {
  color: var(--accent);
}

.accent-text {
  color: var(--accent);
}

#name-header p {
  font-size: 150%;
}

.accent-font {
  font-family: "Cormorant Infant", sans-serif;
}

.main-header {
  font-family: "Cormorant Infant", sans-serif;
  font-size: 300%;
}

@media (max-width: 450px) {
  .main-header {
    font-size: 2.2rem;
  }
  #name-header p {
    font-size: 100%;
  }
}

.text-special {
  /* font-family: "Parisienne", Sans-serif; */
}

.top-bg{
  /* width: 30%; */
  width: 100%;
}
.foot-bg{
  /* width: 25%; */
  width: 100%;
}
.top-bg{
  opacity: 0.8;
}
.foot-bg{
  opacity: 0.8;
}
@media (max-width: 1024px){
  .foot-bg, .top-bg{
    /* max-width: 50%; */
    opacity: 0.8;
    /* width: 50% */
    width: 100%
  }
}

.white-overlay {
  /* background-color: rgba(255, 255, 255, 0.4); */
  z-index: 1;
}

.navbar {
  background-color: var(--navbarBg);
}
/* Style the links inside the navigation bar */
.navbar a img {
  filter: var(--navbarSvg);
}
.navbar a {
  color: var(--navbar);
  padding: 0.2rem;
  font-size: 0.8rem;
  width: 20%;
}

/* Change the color of links on hover */
.navbar a:hover {
  background-color: #ddd;
  color: black;
}

#home {
  width: 50vw;
  border-radius: 8px;
  -moz-border-radius: 8px;
  -webkit-border-radius: 8px;
}
@media (max-width: 767px) {
  #home {
    width: 100%;
  }
}
/* Carousel */
.carousel-item img{
  width: auto;
  height: 30vw;
} 
.carousel-inner{
  border-radius:8px; 
  -moz-border-radius:8px;
  -webkit-border-radius:8px;
}
@media (max-width: 767px) {
  .carousel-item img{
    height: 60vw;
  } 
  #home{
    width: 92vw;
    margin: auto;
  }
}

/* Banner */
.wedding-banner{
  /* Center */
  top: 80%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80vw;
  text-align: center;
  color: white !important;
  font-family: 'Cormorant Infant', Sans-serif;

  /* Mid-Bottom */
  /* 
  top: 60%;
  width: 100%;
  text-align: center;
  color: white;
  font-family: "Alice", Sans-serif; */
}

.wedding-banner h1 {
  /* font-family: "Parisienne", Sans-serif; */
  font-size: 4.5rem;
  font-weight: 300;
  letter-spacing: 0.6rem;
  color: white !important;
  margin: 0px;
}
@media (max-width: 970px) {
  .wedding-banner h1 {
    font-size: 3rem;
    letter-spacing: 0.4rem;
  }
}
@media (max-width: 820px) {
  .wedding-banner h1 {
    font-size: 2rem;
    letter-spacing: 0.2rem;
  }
  h1 {
    font-size: 3rem;
  }
}

@media (max-width: 560px) {
  .wedding-banner {
    display: none;
  }
  h1 {
    font-size: 1.7rem;
  }
}
@media (max-width: 374px) {
  .wedding-banner h1 {
    font-size: 1.7rem;
    letter-spacing: 0.1rem;
  }
  .wedding-banner h4 {
    font-size: 1.1rem;
  }
  .wedding-banner h5 {
    font-size: 0.9rem;
  }
}
@media (max-width: 280px) {
  .wedding-banner h1 {
    font-size: 1.5rem;
    letter-spacing: 0.1rem;
  }
}

.quoting {
  font-family: "Taviraj", sans-serif;
  /* font-size: 1.4rem; */
  font-style: italic;
  /* color: #a88b7c; */
}

/* CoupleSection */
#bride-image,
#groom-image {
  width: 21vw;
  height: 28vw;
  object-position: top;
  border-radius: 80%;
  -moz-border-radius: 80%;
  -webkit-border-radius: 80%;
}
.protocol img {
  filter: var(--protocolFilter);
}
@media (max-width: 767px) {
  #groom-image,
  #bride-image {
    width: 60vw;
    height: 80vw;
  }
}

#ampersand h1 {
  color: var(--accentAmpersand);
}

/* EventItem */
.event-item {
  border: 1px solid var(--accent);
}
.btn-accent {
  background-color: var(--accent);
}

#groom-trial {
  font-family: "Cormorant Infant", sans-serif;
  font-size: 3.5rem;
  margin-bottom: 0;
}
#bride-name,
#groom-name {
  font-family: "Cormorant Infant", sans-serif;
  font-size: 3rem;
}
@media (max-width: 1129px) {
  #bride-name,
  #groom-name {
    font-size: 2.2rem;
  }
}
@media (max-width: 1079px) {
  #bride-name,
  #groom-name {
    font-size: 2.3rem;
  }
}
@media (max-width: 374px) {
  #bride-name,
  #groom-name {
    font-size: 2.3rem;
  }
}
@media (max-width: 357px) {
  #bride-name,
  #groom-name {
    font-size: 2.1rem;
  }
}

/* MomentSection */
.grid {
  grid-template-rows: 
    repeat(33, 22vw);
  grid-template-columns: 
    repeat(3, 1fr);
}
@media (max-width: 767px){
  .grid {
    grid-template-rows: 
      repeat(33, 25vw);
    grid-template-columns: 
      repeat(3, 1fr);
  }
}

.item:nth-child(1) { grid-column: 1/2; grid-row: 1/2; }
.item:nth-child(5) { grid-column: 2/4; grid-row: 1/3; }
.item:nth-child(2) { grid-column: 1/2; grid-row: 2/3; }
.item:nth-child(9) { grid-column: 1/3; grid-row: 3/5; }
.item:nth-child(3) { grid-column: 3/4; grid-row: 3/4; }
.item:nth-child(4) { grid-column: 3/4; grid-row: 4/6; }
.item:nth-child(7) { grid-column: 1/2; grid-row: 5/6; }
.item:nth-child(8) { grid-column: 2/3; grid-row: 5/6; }
.item:nth-child(6) { grid-column: 1/2; grid-row: 6/8; }
.item:nth-child(19) { grid-column: 2/4; grid-row: 6/8; }
.item:nth-child(11) { grid-column: 1/2; grid-row: 8/9; }
.item:nth-child(12) { grid-column: 2/3; grid-row: 8/9; }
.item:nth-child(13) { grid-column: 3/4; grid-row: 8/9; }
.item:nth-child(15) { grid-column: 1/4; grid-row: 9/10; }
.item:nth-child(21) { grid-column: 1/4; grid-row: 12/14; }
.item:nth-child(24) { grid-column: 1/3; grid-row: 15/17; }
.item:nth-child(26) { grid-column: 3/4; grid-row: 16/18; }
.item:nth-child(27) { grid-column: 1/4; grid-row: 18/20; }
.item:nth-child(28) { grid-column: 1/2; grid-row: 20/22; }
.item:nth-child(36) { grid-column: 1/4; grid-row: 22/25; }
.item:nth-child(41) { grid-column: 1/2; grid-row: 26/28; }
.item:nth-child(43) { grid-column: 2/4; grid-row: 27/29; }
.item:nth-child(48) { grid-column: 1/4; grid-row: 30/34; }

/* WishSection */
.small-hr {
  border-top: 2px solid var(--accent);
}

#hashtag {
  font-family: "Cormorant Infant", sans-serif;
  font-size: 3rem;
  font-weight: 200;
}
@media (max-width: 970px) {
  #hashtag {
    font-size: 2.3rem;
  }
}
@media (max-width: 820px) {
  #hashtag {
    font-size: 2rem;
  }
}
@media (max-width: 560px) {
  #hashtag {
    font-size: 1.7rem;
  }
}
@media (max-width: 330px) {
  #hashtag {
    font-size: 1.2rem;
  }
}

.blue {
  color: var(--font);
}
.pink {
  color: var(--accent);
}

.btn-circle {
  color: var(--accent);
  border: 2px solid var(--accent);
}
.btn-circle img {
  filter: var(--navbarSvg);
}
.btn-circle:hover {
  background-color: var(--accent);
}
.custom-control-input:checked ~ .custom-control-label::before {
  border-color: var(--accent);
}
.custom-control-input:checked ~ .custom-control-label::before {
  background-color: var(--accent) !important;
}

#Wish-collection th {
  background-color: var(--accent);
}

.form-control {
  /* background-color: #d1c8bf !important; */
}
/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
  background: var(--preLoading);
}

.mini-hr {
  width: 30%;
  border: 1px solid var(--accent);
}

hr {
  /* border: 0.1px solid var(--accent); */
}

.my-custom-scrollbar {
  background-color: var(--wishBg);
}

.wish-avatar-pick.active {
  border: 3px solid var(--accent);
}

.wish-name {
  color: var(--accent);
}
